%global install_loc %{_datadir}/eclipse/dropins/m2e-mavendev

Name:           eclipse-m2e-mavendev
Version:        0.2.0.201311250404
Release:        2%{?dist}
Summary:        Maven Development Tools
License:        EPL
URL:            https://github.com/ifedorenko/com.ifedorenko.m2e.mavendev
BuildArch:      noarch

Source0:        https://github.com/ifedorenko/com.ifedorenko.m2e.mavendev/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        http://www.eclipse.org/legal/epl-v10.html

Patch0:         %{name}-feclipse-maven-plugin.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-packaging-plugin)
BuildRequires:  mvn(org.fedoraproject:feclipse-maven-plugin)

BuildRequires:  osgi(com.ifedorenko.m2e.sourcelookup)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.debug.ui)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.jdt.debug.ui)
BuildRequires:  osgi(org.eclipse.jdt.junit)
BuildRequires:  osgi(org.eclipse.jdt.launching)
BuildRequires:  osgi(org.eclipse.jface)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.launching)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)
BuildRequires:  osgi(org.eclipse.pde.core)
BuildRequires:  osgi(org.eclipse.swt)
BuildRequires:  osgi(org.eclipse.ui.workbench)
BuildRequires:  osgi(org.sonatype.tycho.m2e)

%description
Maven Development Tools is a collection of m2e extensions that enables
end-to-end debugging of Maven Plugins, Maven Core and their
dependencies from m2e development workspace, without the need to
install artifacts to the local Maven repository.

%prep
%setup -q -n com.ifedorenko.m2e.mavendev-%{version}
%patch0
find -name *.jar -delete
cp -p %{SOURCE1} epl-v10.html

%pom_remove_plugin :tycho-packaging-plugin

%build
%mvn_build -i -j

%install
install -d -m 755 %{buildroot}%{install_loc}
cp -a eclipse %{buildroot}%{install_loc}/

%files
%doc README.md epl-v10.html
%{install_loc}

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.201311250404-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.2.0.201311250404-1
- Initial packaging
